# neccessary packets
pacman -Syu
pacman -S --noconfirm --needed make autoconf pkg-config subversion zip unzip zstd gcc
pacman -S --noconfirm --needed $MINGW_PACKAGE_PREFIX-gcc $MINGW_PACKAGE_PREFIX-bzip2 $MINGW_PACKAGE_PREFIX-freetype $MINGW_PACKAGE_PREFIX-libpng $MINGW_PACKAGE_PREFIX-brotli

# optional for SLD2 builds:
pacman -S --noconfirm --needed $MINGW_PACKAGE_PREFIX-SDL2

rm -rf master.zip
wget https://github.com/miniupnp/miniupnp/archive/master.zip
unzip -o master.zip
cd miniupnp-master/miniupnpc
cat Makefile.mingw | sed 's|[ \t]wingenminiupnpcstrings.exe |'"$(printf '\t')"'./wingenminiupnpcstrings.exe |' >Makefile.mingw2
make -f Makefile.mingw2
cp libminiupnpc.a $MINGW_PREFIX/lib
cp *.h $MINGW_PREFIX/lib
mkdir $MINGW_PREFIX/include/miniupnpc
cp *.h $MINGW_PREFIX/include/miniupnpc

cd ../..
rm -rf master.zip
rm -rf miniupnpc-master

# libbrotli static is broken but needed for freetype
for f in libbrotlidec libbrotlienc libbrotlicommon; do
	mv "$MINGW_PREFIX/lib/$f-static.a" "$MINGW_PREFIX/lib/$f.a"
done

# optional for fluidsynth builds:
FLUIDSYNTH_VERSION=2.1.7
pacman -S --noconfirm --needed $MINGW_PACKAGE_PREFIX-cmake glib2-devel $MINGW_PACKAGE_PREFIX-glib2
wget https://github.com/FluidSynth/fluidsynth/archive/v$FLUIDSYNTH_VERSION.zip
unzip -o v$FLUIDSYNTH_VERSION.zip
cd fluidsynth-$FLUIDSYNTH_VERSION
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=$MINGW_PREFIX -DBUILD_SHARED_LIBS=0 -Denable-readline=0 -Denable-winmidi=0 -Denable-waveout=0 -Denable-libsndfile=0 -Denable-network=0 -Denable-dsound=1 -Denable-sdl2=0 -G "MSYS Makefiles" ..
make install
cd ../..
rm -rf v$FLUIDSYNTH_VERSION.zip
rm -rf fluidsynth-$FLUIDSYNTH_VERSION

# get the source
svn checkout svn://servers.simutrans.org/simutrans simutrans
cd simutrans/trunk
# Apply patches! Then you can run those
#autoconf
#./configure


